Retrieve an interview campaign
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/{campaign_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/{campaign_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/{campaign_id}/ \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"interview_count": 123
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Interviews
Retrieve an interview campaign
Retrieve one campaign with its progress aggregates. Admin only.
GET
/
projects
/
{project_id}
/
interview-campaigns
/
{campaign_id}
/
Retrieve an interview campaign
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/{campaign_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/{campaign_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/interview-campaigns/{campaign_id}/ \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"interview_count": 123
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}{
"error": "Not found."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer
Path Parameters
UUID of the project
UUID of the interview campaign
Response
Successful response
A named, project-scoped group of interviews (e.g. a workshop wave or
rollout round). Created lazily via campaign_name on the assign endpoint;
names are unique per project (case-insensitive).